Skip to main content
GET
/
v1
/
entities
# List organizations
curl -H "X-API-Key: gld_your_key" \
  "https://api.gildea.ai/v1/entities?type_primary=Organization&limit=10"

# Find rising entities with statistical significance
curl -H "X-API-Key: gld_your_key" \
  "https://api.gildea.ai/v1/entities?direction=Rising&confidence=Significant&sort=trend&limit=10"
{
  "data": [
    {
      "entity_id": "org:/nvidia",
      "display_name": "NVIDIA",
      "type_primary": "Organization",
      "wikipedia_url": "https://en.wikipedia.org/wiki/Nvidia",
      "signal_count": 156,
      "first_seen": "2025-10-03T00:00:00Z",
      "last_seen": "2026-02-14T00:00:00Z",
      "trend": {
        "share_of_voice": 0.12,
        "theil_sen_slope": 0.15,
        "streak": 4,
        "coefficient_of_variation": 0.65,
        "current_week": 15,
        "prior_week": 10,
        "source_diversity": 12,
        "recency_score": 0.95,
        "mk_tau": 0.78,
        "mk_p_value": 0.002
      },
      "scale": "High",
      "direction": "Rising",
      "confidence": "Significant",
      "stability": "Steady",
      "priority": "High",
      "priority_reasoning": "High-scale entity with significant upward trend and steady coverage; reliable signal of growing dominance.",
      "content_type_mix": {"analysis": 90, "event": 66},
      "value_chain_distribution": {"Infrastructure": 80, "Foundation Models": 45},
      "market_force_distribution": {"Competitive Dynamics": 70, "Capital & Investment": 50}
    }
  ],
  "has_more": true,
  "next_cursor": "eyJzaWduYWxfY291bnQiOjE1Nn0="
}
theme
string
Filter by theme label.
type_primary
string
Filter by entity type (e.g., organization, person, model, hardware, framework). See Entities for all 15 types.
q
string
Search entity names.
sort
string
default:"signal_count"
Sort field: signal_count, first_seen, trend.
direction
string
Filter by trend direction: Rising, Stable, Declining, New.
confidence
string
Filter by trend significance: Significant, Insignificant.
stability
string
Filter by coverage consistency: Volatile, Steady.
scale
string
Filter by share-of-voice scale: High, Medium, Low.
priority
string
Filter by combined priority: High, Medium, Low, Negligible.
limit
integer
default:"25"
Results per page (1–50).
cursor
string
Opaque pagination cursor from a previous response.
data
array
List of entity objects.
has_more
boolean
Whether more results exist.
next_cursor
string
Cursor for the next page.
# List organizations
curl -H "X-API-Key: gld_your_key" \
  "https://api.gildea.ai/v1/entities?type_primary=Organization&limit=10"

# Find rising entities with statistical significance
curl -H "X-API-Key: gld_your_key" \
  "https://api.gildea.ai/v1/entities?direction=Rising&confidence=Significant&sort=trend&limit=10"
{
  "data": [
    {
      "entity_id": "org:/nvidia",
      "display_name": "NVIDIA",
      "type_primary": "Organization",
      "wikipedia_url": "https://en.wikipedia.org/wiki/Nvidia",
      "signal_count": 156,
      "first_seen": "2025-10-03T00:00:00Z",
      "last_seen": "2026-02-14T00:00:00Z",
      "trend": {
        "share_of_voice": 0.12,
        "theil_sen_slope": 0.15,
        "streak": 4,
        "coefficient_of_variation": 0.65,
        "current_week": 15,
        "prior_week": 10,
        "source_diversity": 12,
        "recency_score": 0.95,
        "mk_tau": 0.78,
        "mk_p_value": 0.002
      },
      "scale": "High",
      "direction": "Rising",
      "confidence": "Significant",
      "stability": "Steady",
      "priority": "High",
      "priority_reasoning": "High-scale entity with significant upward trend and steady coverage; reliable signal of growing dominance.",
      "content_type_mix": {"analysis": 90, "event": 66},
      "value_chain_distribution": {"Infrastructure": 80, "Foundation Models": 45},
      "market_force_distribution": {"Competitive Dynamics": 70, "Capital & Investment": 50}
    }
  ],
  "has_more": true,
  "next_cursor": "eyJzaWduYWxfY291bnQiOjE1Nn0="
}

Authorizations

X-API-Key
string
header
required

API key for authentication. Include in every request as X-API-Key: gld_your_key_here.

Query Parameters

theme
string | null

Filter by theme label.

type_primary
string | null

Filter by entity type: 'Organization', 'Person', 'Product'.

q
string | null

Search entity names.

sort
string
default:signal_count

Sort field: 'signal_count', 'first_seen', 'trend'.

direction
string | null

Filter by direction: 'Rising', 'Stable', 'Declining', 'New'.

confidence
string | null

Filter by confidence: 'Significant', 'Insignificant'.

stability
string | null

Filter by stability: 'Volatile', 'Steady'.

scale
string | null

Filter by scale: 'High', 'Medium', 'Low'.

priority
string | null

Filter by priority: 'High', 'Medium', 'Low', 'Negligible'.

cursor
string | null
limit
integer
default:25
Required range: 1 <= x <= 50

Response

Successful Response

has_more
boolean
required

Whether more results are available beyond this page.

data
EntityProfile · object[]
required

List of entity profiles.

next_cursor
string | null

Opaque cursor to pass as cursor query param for the next page. Null when has_more is false.